Fetch a Push Notification App

This operation fetches a single Push Notification App using its name.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

appNamestringRequired

Response

OK
namestringformat: "^[a-z0-9_]+$"1-64 characters

The name of the App. This is the unique identifier of the App.

isDefaultboolean

Whether this App is the default (Push Notification) App for the Account. The first App auto-created is automatically set as the default. To update the default App, use PATCH /PushNotifications/Apps/{appName}.

defaultCredentialslist of objects

The default Credentials for this App.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error